<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="orderItem">
            <h2><span jhiTranslate="restaurantApplicationApp.orderItem.detail.title">Order Item</span> {{orderItem.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="restaurantApplicationApp.orderItem.quantity">Quantity</span></dt>
                <dd>
                    <span>{{orderItem.quantity}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.orderItem.totalPrice">Total Price</span></dt>
                <dd>
                    <span>{{orderItem.totalPrice}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.orderItem.status">Status</span></dt>
                <dd>
                    <span jhiTranslate="{{'restaurantApplicationApp.OrderItemStatus.' + orderItem.status}}">{{orderItem.status}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.orderItem.product">Product</span></dt>
                <dd>
                    <div *ngIf="orderItem.product">
                        <a [routerLink]="['/product', orderItem.product?.id, 'view']">{{orderItem.product?.name}}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.orderItem.order">Order</span></dt>
                <dd>
                    <div *ngIf="orderItem.order">
                        <a [routerLink]="['/product-order', orderItem.order?.id, 'view']">{{orderItem.order?.code}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/order-item', orderItem.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
